> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1actions device latencies



## OpenAPI

````yaml post /api/v1/actions/{action_id}/device-latencies
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/actions/{action_id}/device-latencies:
    post:
      tags:
        - devices
      parameters:
        - name: action_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Body648'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/Body648'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/Body648'
          application/edn:
            schema:
              $ref: '#/components/schemas/Body648'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Response692'
            application/transit+msgpack:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Response692'
            application/transit+json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Response692'
            application/edn:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Response692'
components:
  schemas:
    Body648:
      required:
        - buckets_count
        - state
      type: object
      properties:
        state:
          type: string
        buckets_count:
          type: integer
          format: int64
      additionalProperties: false
    Response692:
      required:
        - height
        - range_end
        - range_start
      type: object
      properties:
        range_start:
          type: number
          format: double
        range_end:
          type: number
          format: double
        height:
          type: number
          format: double
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````